JNA API 3.3.0

## com.sun.jna.platform.unix
Interface X11.Xevie

All Superinterfaces:
  Library

Enclosing interface:
  X11

    public static interface X11.Xevie

extends Library

Definition of the Xevie library.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.Library
`Library.Handler`

Field Summary
`static X11.Xevie` | `INSTANCE` Instance of Xevie.
`static int` | `XEVIE_MODIFIED`
`static int` | `XEVIE_UNMODIFIED`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`int` | `XevieEnd(X11.Display display)`
`boolean` | `XevieQueryVersion(X11.Display display, IntByReference major_version, IntByReference minor_version)`
`int` | `XevieSelectInput(X11.Display display, NativeLong event_mask)`
`int` | `XevieSendEvent(X11.Display display, X11.XEvent event, int data_type)`
`int` | `XevieStart(X11.Display display)`

Field Detail

### INSTANCE

    static final X11.Xevie INSTANCE

  Instance of Xevie. Note: This extension has been removed from xorg/xserver on Oct 22, 2008 because it is broken and maintainerless.

### XEVIE_UNMODIFIED

    static final int XEVIE_UNMODIFIED

See Also:
  Constant Field Values

### XEVIE_MODIFIED

    static final int XEVIE_MODIFIED

See Also:
  Constant Field Values

Method Detail

### XevieQueryVersion

    boolean XevieQueryVersion(X11.Display display,
                              IntByReference major_version,
                              IntByReference minor_version)

### XevieStart

    int XevieStart(X11.Display display)

### XevieEnd

    int XevieEnd(X11.Display display)

### XevieSendEvent

    int XevieSendEvent(X11.Display display,
                       X11.XEvent event,
                       int data_type)

### XevieSelectInput

    int XevieSelectInput(X11.Display display,
                         NativeLong event_mask)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.